Subject: Re: [saag] Thoughts on SecDispatch Experiment

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Tue, 9 Jan 2018 23:49:48 +0000

Hi,
Apologies coming in late with feedback:

Here are a few more ideas for improving the process, though I think most have already been articulated:

- Agreed in pre-screening and also having clear expectations set to/from presenters will be required.  While we can clarify on expected set of outcomes, I’m sure there will likely be some exceptions that may arise depending on the context of the discussion (especially if drafts presented have not had adequate review/feedback).
- Guidelines for presenters and their set of expectations can also be better clarified.  Especially if a draft is being presented, ensuring that the draft has had some prior review (beyond the chairs and ADs review).
- SecDispatch can announce the drafts/presentations with proposed goals to ensure wider review, thought and consideration prior to the f2f session.  Conclusions can be posted to the list to ensure there are no strong objections from those who couldn’t participate live.

As it was our first session we/the chairs set a time limit for each presenter independent of the topic which I felt left some of them short on needed discussion and quick decisions.  So, better provisions for time allocation perhaps involving presenters to ensure we can give appropriate consideration to the topic presented.

I’d also allow, at least for the first few sessions, a small “wrap-up” time slot to allow live feedback for refining our process too….

Nancy

On 11/20/17, 10:03 AM, "saag on behalf of Kathleen Moriarty" <[email-masked] on behalf of [email-masked]> wrote:

    Thank you, David and Roman for your helpful feedback.  Inline.
    
    Sent from my mobile device
    
    > On Nov 20, 2017, at 9:36 AM, Roman Danyliw <[email-masked]> wrote:
    > 
    > Hello!
    > 
    >> -----Original Message-----
    >> From: saag [mailto:[email-masked]] On Behalf Of Black, David
    >> Sent: Sunday, November 19, 2017 11:57 PM
    >> To: Kathleen Moriarty <[email-masked]>; [email-masked]
    >> Subject: Re: [saag] Thoughts on SecDispatch Experiment
    > 
    > [snip]
    > 
    > As an experiment, I think it was a success.
    > 
    >> The SecDispatch process felt like it could use some more clarity, particularly in
    >> delineating possible outcomes in advance.   It appeared that process was
    >> being invented on the fly as the session went along, e.g., referral to CFRG
    >> and clarification of AD sponsorship recommendations. 
    > 
    > +1.  Being clear on the possible outcomes in advance would help.  
    
    Yes, it's on the proposed charter text.  As a WG, that would have been more clear I suspect.
    
    > Additionally, I'd recommend the following:
    > 
    > ** Documenting the whole process in one place to set expectations of the draft proponents and get the best feedback from the process participants (e.g., draft prescreening criteria/drafts previously discussed in other WGs; identify outcomes; describe what the SecDispatch process will not do; guidance on the draft presentation given the limited time slot)
    
    I agree and was thinking it would be helpful to capture the feedback and organize it to post on a wiki page.  I guess that could be the one for SecDispatch if we charter it.  
    > 
    > ** Documenting the decisions made during the dispatch process (are meeting minutes enough?); and identifying what that next step is and who has it.
    
    Meeting minutes and confirmation to the list would be good enough, I think.
    
    Thank you,
    Kathleen 
    > 
    > Roman
    > 
    >> Thanks, --David
    >> 
    >>> -----Original Message-----
    >>> From: saag [mailto:[email-masked]] On Behalf Of Kathleen
    >>> Moriarty
    >>> Sent: Friday, November 17, 2017 12:31 AM
    >>> To: [email-masked]
    >>> Subject: [saag] Thoughts on SecDispatch Experiment
    >>> 
    >>> Hi,
    >>> 
    >>> In the interest of improving SecDispatch in the event we go forward
    >>> with this as a WG, I'm sharing my thoughts and ideas of how to improve
    >>> it.  Your thoughts are welcome.
    >>> 
    >>> SecDispatch Experiment Thoughts
    >>> 
    >>> Additional pre-screening of drafts would be needed for this to be
    >> successful.
    >>> 
    >>> For SAAG sessions and AD sponsored drafts, what we have done in the
    >>> past few years is to wait for requests to come in, we didn’t solicit
    >>> them. Then we’d review the associated draft(s). IF we thought it was
    >>> ready and worthwhile, we’d ask for discussion on the list. IF there
    >>> was interest and time, we’d put it on the agenda.
    >>> 
    >>> The pre-screening would involve asking if/where this had been
    >>> presented before and the outcome. We might check list traffic on the
    >>> draft and might check with the chairs of associated WGs to get their
    >>> thoughts.
    >>> 
    >>> Stephen and I would discuss AD sponsor draft requests, which might be
    >>> separate from SAAG slot requests. There were times one of us would
    >>> just accept one that we thought was sensible and thought that
    >>> additional process around it wasn’t needed. For some others, we might
    >>> discuss the request and see who could take it on, splitting up the
    >>> work evenly.
    >>> 
    >>> Then my process for AD sponsored drafts (different from Stephen’s) was
    >>> to either ask the authors to find a shepherd or to assign one if they
    >>> were not able to find someone reasonable on their own. I used this as
    >>> an opportunity to train possible WG chairs and in some cases folks who
    >>> might be interested to be a SecAD in the future. The shepherd would
    >>> perform a draft review, look at discussions on the draft, ask all the
    >>> questions on the shepherd report, and provide their thoughts. I’d then
    >>> perform my review and if appropriate kick off last call. The shepherd
    >>> would ensure all the comments received were addressed in the draft,
    >>> I’d recheck that and the normal checks for a draft and put it on a
    >>> telechat.
    >>> 
    >>> SecDispatch seemed useful to have a hum on restarting a WG, so we
    >>> could avoid a BoF. For some that a separate WG is needed, a BoF may or
    >>> may not be necessary. We have started WGs in the past with list
    >>> discussion only, so that’s possible still too.
    >>> 
    >>> If we went ahead with SecDispatch, I’d expect the chairs to call a
    >>> decision with each proposal and have this go to the list for
    >>> objections. If the result was a recommendation for AD sponsorship, I
    >>> would expect that the discussion as to who would sponsor would happen
    >>> after the meeting between ADs who could consider a balance in workload
    >>> when dividing them up.
    >>> 
    >>> Nancy also had some ideas to streamline and improve the session if
    >>> this experiment goes forward, so it’ll be good to get that documented.
    >>> I’ll need to think a bit more on if I think this should go forward,
    >>> but would like each of your thoughts.
    >>> 
    >>> 
    >>> 
    >>> --
    >>> 
    >>> Best regards,
    >>> Kathleen
    >>> 
    >>> _______________________________________________
    >>> saag mailing list
    >>> [email-masked]
    >>> https://www.ietf.org/mailman/listinfo/saag
    >> _______________________________________________
    >> saag mailing list
    >> [email-masked]
    >> https://www.ietf.org/mailman/listinfo/saag
    
    _______________________________________________
    saag mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/saag